# AIVehicleList_Station Class Reference
[Classes that create a list of items.]

Creates a list of vehicles that have orders to a given station. More...

`#include <ai_vehiclelist.hpp>`

Inheritance diagram for AIVehicleList_Station:

## Public Member Functions
| AIVehicleList_Station (StationID station_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of vehicles that have orders to a given station.

Definition at line 33 of file ai_vehiclelist.hpp.

## Constructor & Destructor Documentation

AIVehicleList_Station::AIVehicleList_Station | ( | StationID | station_id | ) |

Parameters:

  | station_id | The station to get the list of vehicles from, which have orders to it.

Precondition:
  AIBaseStation::IsValidBaseStation(station_id)

Definition at line 29 of file ai_vehiclelist.cpp.

References _current_company, AIList::AddItem(), FOR_ALL_VEHICLES, Order::GetDestination(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, Vehicle::IsPrimaryVehicle(), Order::IsType(), AIBaseStation::IsValidBaseStation(), and Vehicle::owner.

## Member Function Documentation

static const char* AIVehicleList_Station::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 36 of file ai_vehiclelist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_vehiclelist.hpp
- src/ai/api/ai_vehiclelist.cpp